[Testing Update] 2018-10-09 - Gnome, Haskell, Python

Hi community,

So it took us some more days to push additional packages for the upcoming stable update-pack.

Here the brief overall changes with this update:

  • I managed to complete my work on the smooth bootup experience. (Will be default since 18.0-beta-7)
  • some Gnome packages
  • Upstream fixes

We hope with all these changes Manjaro to be more efficient for you all.


#rc-release - 18.0 will be available in late October!

If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a rc-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts. Our KDE fans may try our rc-build with the latest KDE v5.13 instead.

#beta-release - 18.0

And our GNOME fans may try our beta-build with the latest GNOME v3.30.


Current supported Kernels

  • linux316 3.16.59
  • linux318 3.18.123 [EOL]
  • linux44 4.4.159
  • linux49 4.9.131
  • linux414 4.14.74
  • linux417 4.17.19 [EOL]
  • linux418 4.18.12
  • linux419 4.19-rc7
  • linux414-rt 4.14.71_rt44
  • linux416-rt 4.16.18_rt11

Package Updates (Tue Oct 9 18:03:41 CEST 2018)

  • testing community x86_64: 142 new and 140 removed package(s)
  • testing extra x86_64: 16 new and 16 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-08           2018-10-09
-------------------------------------------------------------------------------
              manjaro-theme-settings           20181007-1           20181008-1
                    matcha-gtk-theme           20181007-1           20181009-1
                         vlc-nightly     3.0.5v20180914-1     3.0.5v20181009-1
                                 yay             8.1115-2           8.1157.0-2
                              ranger                    -              1.9.2-0


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-08           2018-10-09
-------------------------------------------------------------------------------
                             arduino            1:1.8.5-1            1:1.8.7-1
                    arduino-avr-core             1.6.20-1             1.6.23-1
                     arduino-builder             1.3.25-3              1.4.1-1
                         arduino-cli0.3.0.alpha.preview-10.3.1.alpha.preview-1
                                asar             0.14.3-1             0.14.5-1
                                atom             1.30.0-1             1.31.2-1
                             aws-cli            1.16.28-1            1.16.29-1
                             bbpager              0.4.7-7              0.4.7-8
                       cabal-install           2.2.0.0-89           2.2.0.0-91
                               cgrep            6.6.25-89            6.6.25-92
                             cm256cc              1.0.0-3              1.0.1-1
                           codespell             1.13.0-2             1.14.0-1
                             cordova              8.1.1-1              8.1.2-1
                             cryptol             2.6.0-41             2.6.0-44
                               darcs            2.14.1-70            2.14.1-72
              deepin-desktop-schemas           3.2.18.5-1           3.2.18.6-1
                   deepin-session-ui            4.5.1.8-1           4.5.1.10-1
     firefox-extension-privacybadger          2018.9.20-1        2018.10.3.1-1
                    firefox-noscript           10.1.9.6-1           10.1.9.8-1
                           git-annex         6.20180926-7        6.20180926-10
                               glava              1.5.2-1              1.5.3-1
                haskell-authenticate            1.3.4-190            1.3.4-192
                         haskell-aws              0.20-98             0.20-100
              haskell-binary-conduit               1.3-54               1.3-56
                     haskell-conduit           1.3.0.3-40              1.3.1-2
               haskell-conduit-extra             1.3.0-62             1.3.0-64
                   haskell-criterion           1.5.1.0-39           1.5.1.0-41
          haskell-cryptohash-conduit            0.1.1-224            0.1.1-226
          haskell-cryptonite-conduit            0.2.2-118            0.2.2-120
                         haskell-dav            1.3.2-138            1.3.2-140
                   haskell-esqueleto    2.5.3.20180402-85    2.5.3.20180402-87
                        haskell-feed          1.0.0.0-118          1.0.0.0-120
                      haskell-hakyll          4.12.4.0-34          4.12.4.0-37
                 haskell-hjsonschema            1.9.0-105            1.9.0-107
                    haskell-hopenpgp             2.7.2-31             2.7.2-33
                       haskell-hpack            0.31.0-16            0.31.0-19
                haskell-html-conduit             1.3.1-46             1.3.1-48
                        haskell-http         4000.3.12-68         4000.3.12-70
                haskell-http-conduit             2.3.2-62             2.3.2-64
                   haskell-js-jquery            3.3.1-138            3.3.1-140
                haskell-monad-logger            0.3.29-20            0.3.29-22
            haskell-mono-traversable           1.0.9.0-15           1.0.9.0-16
                    haskell-mustache             2.3.0-99            2.3.0-102
                  haskell-persistent             2.8.2-87             2.8.2-89
           haskell-persistent-sqlite             2.8.2-32             2.8.2-34
         haskell-persistent-template            2.5.4-113            2.5.4-115
            haskell-project-template           0.2.0.1-92           0.2.0.1-94
                       haskell-sandi             0.4.2-56             0.4.2-58
                         haskell-sbv              7.12-11              7.12-14
              haskell-servant-server         0.13.0.1-105         0.13.0.1-107
                       haskell-shake           0.16.4-104           0.16.4-106
             haskell-simple-sendfile            0.2.27-88            0.2.27-90
                  haskell-statistics          0.14.0.2-79          0.14.0.2-80
                       haskell-store          0.4.3.2-152          0.4.3.2-154
           haskell-tagstream-conduit          0.5.5.3-212          0.5.5.3-214
           haskell-vector-algorithms            0.8.0.0-1            0.8.0.1-1
              haskell-wai-app-static          3.1.6.2-121          3.1.6.2-123
                 haskell-wai-conduit           3.0.0.4-73           3.0.0.4-75
          haskell-wai-handler-launch           3.0.2.4-81           3.0.2.4-83
                        haskell-warp            3.2.25-17            3.2.25-19
                    haskell-warp-tls           3.2.4.3-97           3.2.4.3-99
                 haskell-xml-conduit            1.8.0.1-8           1.8.0.1-10
                  haskell-xml-hamlet             0.5.0-66             0.5.0-68
                        haskell-yaml           0.10.2.0-8           0.10.3.0-2
                       haskell-yesod            1.6.0-136            1.6.0-139
                  haskell-yesod-auth           1.6.4.1-29           1.6.4.1-31
                  haskell-yesod-core             1.6.6-54             1.6.6-56
               haskell-yesod-default            1.2.0-409            1.2.0-411
                  haskell-yesod-form             1.6.2-66             1.6.2-68
            haskell-yesod-persistent            1.6.0-123            1.6.0-125
                haskell-yesod-static            1.6.0-109            1.6.0-111
                  haskell-yesod-test             1.6.5-65             1.6.5-67
                           hedgewars          0.9.24.1-64          0.9.24.1-66
                             hindent             5.2.7-37             5.2.7-40
                             hledger             1.11.1-1             1.11.1-2
                         hledger-api             1.11.1-1             1.11.1-3
                          hledger-ui             1.11.1-1             1.11.1-2
                         hledger-web             1.11.1-1             1.11.1-4
                               hlint            2.1.10-30            2.1.10-33
                              hoogle         5.0.17.3-107         5.0.17.3-109
                      hopenpgp-tools            0.21.2-41            0.21.2-44
                             jenkins              2.144-1              2.145-1
                                jmol           14.29.22-1           14.29.24-1
                    libretro-reicast               2618-1               3321-1
                             liteide               34.1-1               34.3-1
                            lollypop            0.9.601-1            0.9.604-1
                               minio         2018.08.25-1         2018.10.06-1
                              netcdf              4.6.1-2              4.6.1-3
                              pandoc              2.3.1-6              2.3.1-8
                     pandoc-citeproc             0.14.5-7            0.14.5-10
                     pandoc-crossref           0.3.3.0-11           0.3.3.0-13
                           postgrest           0.5.0.0-49           0.5.0.0-51
                        python-boto3             1.9.18-1             1.9.19-1
                     python-botocore            1.12.18-1            1.12.19-1
                 python-cinderclient              4.0.1-1              4.1.0-1
                   python-click-repl              0.1.4-2              0.1.5-1
                   python-hypothesis             3.74.2-1             3.75.3-1
                  python-pickleshare              0.7.4-4              0.7.5-1
                       python-prance             0.13.1-2             0.13.2-1
                      python-pytorch             1.0rc1-1             1.0rc1-2
                 python-pytorch-cuda             1.0rc1-1             1.0rc1-2
                   python-tensorflow             1.11.0-1             1.11.0-2
              python-tensorflow-cuda             1.11.0-1             1.11.0-2
               python-tensorflow-opt             1.11.0-1             1.11.0-2
          python-tensorflow-opt-cuda             1.11.0-1             1.11.0-2
                         python-toml              0.9.6-1             0.10.0-1
                          python-tox              3.4.0-1              3.5.1-1
                       python2-boto3             1.9.18-1             1.9.19-1
                    python2-botocore            1.12.18-1            1.12.19-1
                python2-cinderclient              4.0.1-1              4.1.0-1
                  python2-hypothesis             3.74.2-1             3.75.3-1
                 python2-pickleshare              0.7.4-4              0.7.5-1
                      python2-prance             0.13.1-2             0.13.2-1
                 python2-qpid-proton             0.23.0-2             0.25.0-1
                        python2-toml              0.9.6-1             0.10.0-1
                         python2-tox              3.4.0-1              3.5.1-1
                         qpid-proton             0.23.0-2             0.25.0-1
                                qtox             1.16.3-5             1.16.3-6
                             remmina         1:1.2.31.4-2           1:1.2.32-1
                            rsibreak             0.12.8-1             0.12.9-1
                          shellcheck            0.5.0-121            0.5.0-123
                             snapper              0.5.6-2              0.6.0-1
                               stack            1.7.1-160            1.7.1-163
                     stylish-haskell           0.9.2.0-78           0.9.2.0-81
                               swaks         20170101.0-1         20170101.0-2
                           syncthing            0.14.50-1            0.14.51-1
                  syncthing-relaysrv            0.14.50-1            0.14.51-1
                              sysdig             0.23.1-1             0.24.1-1
                      tamarin-prover            1.4.0-120            1.4.0-122
                          tensorflow             1.11.0-1             1.11.0-2
                     tensorflow-cuda             1.11.0-1             1.11.0-2
                      tensorflow-opt             1.11.0-1             1.11.0-2
                 tensorflow-opt-cuda             1.11.0-1             1.11.0-2
                             toxcore            1:0.2.7-1            1:0.2.8-1
                         vim-systemd           20170410-1                    -
                              xmobar              0.27-37              0.27-39
                     python-filelock                    -              3.0.9-1
                    python2-filelock                    -              3.0.9-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-08           2018-10-09
-------------------------------------------------------------------------------
                        avidemux-cli              2.7.1-2              2.7.1-4
                         avidemux-qt              2.7.1-2              2.7.1-4
                              ffmpeg            1:4.0.2-3            1:4.0.2-6
                         flashplugin         31.0.0.108-1         31.0.0.122-1
                         gnome-shell 3.30.0+37+g969eecb88-1           3.30.1-1
              gnome-shell-extensions             3.30.0-1             3.30.1-1
                     gst-plugins-bad             1.14.4-1             1.14.4-3
                 kdevelop-clang-tidy              0.3.2-1              0.3.3-1
                             libheif              1.3.2-1              1.3.2-2
                               libuv             1.23.1-1             1.23.2-1
                              mutter 3.30.0+13+g2fb3db765-1           3.30.1-1
                 networkmanager-pptp              1.2.6-1              1.2.8-1
                              okteta           1:0.25.3-1           1:0.25.4-1
                        pepper-flash         31.0.0.108-1         31.0.0.122-1
                                 vlc              3.0.4-4              3.0.4-6
                                x265                2.8-1                2.9-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-08           2018-10-09
-------------------------------------------------------------------------------
                      lib32-libepoxy              1.5.2-1              1.5.3-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

3 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Items from previous update sets

AMD-Ucode introduction

All users of AMD-APUs/CPUs should install this update like this:

sudo pacman -Syyu
sudo pacman -S amd-ucode
sudo pacman -R intel-ucode
sudo update-grub

Step 3 is optional.


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn't work for you, you may use gtk instead of gtk3_kde5 as UI framework.


Something using Perl/Python/glibc broke

Rebuilds needed! If it's an AUR package, rebuild it. If it's a repo package, please report and check back regularly for rebuilds.


Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you're able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513


Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if 'default.pa' has been customised.


File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension "Workspace to Dock" is bugged

Be careful like there is a bug if you use the Extension "Workspace to Dock". You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file's syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name "Everyone" to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There's a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.

Will the smooth bootup experience be available to existing users by default?

Its nice to not see the systemd info by default (but still unlockeable by pressing some F1-F12 button)

We don't change existing installs when we provide a new package. At a later state we may update the grub package after some wider testing with v18.0 releases.

Please, don't do it by default. I'm using grub-silence right now and it's great for wake-up from hibernating. But I think it's better when we stay with the choice between "normal" grub and grub-silence as packages.

2 Likes

I like to see what's going on when booting, main reason I switched from Ubuntu to Manjaro in 2014 is that I could remove plymouth.

3 Likes

Leave out quiet loglevel=3. You can still see the messages scroll.

1 Like

Good update.

Only one problem for now. gnome-logs doesn't maximize, and the window gets greater than my screen, but I cannot resize the window.

You are probably under Wayland. Gnome logs can maximize under Xorg.

I like how Manjaro put grub-quite to be default and more private by hiding grub menu.

I know the Logs can maximize.

The case is: I was using Adapt-Eta, until the v3.94 and the change to Matcha (I'm using Matcha-dark-azul now). Adapta-Eta makes things occupy less space, Matcha-dark-azul not. With Adapta-Eta, Logs gets minor than my display and I can maximize the Window (with a problem, but this is for another post), with Matcha no, because the window gets greater than my display.

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by